Subject: bug#201: Setting default face font on W32

From: Jason Rumney <[email-masked]>
Date: Thu, 12 Jun 2008 11:36:20 +0100

Long ago, [email-masked] wrote:
> I haven't been able to get to work reliably yet.
> Here is what I tried (the rest of the .emacs is empty):
>
> - (custom-set-faces
>    '(default ((t (:family "outline-lucida console")))))
>
>   This seems not to have any effect on the initial frame which
>   still uses courier.  When I do C-x 5 2, I do get the proper lucida
>   font in the new frame, tho.
>   

The behaviour seems to be reversed in current trunk, but it seems to be 
the same on other platforms now, per the thread "Font settings ignored 
on new frames" in emacs-devel  on 3 June. So I think this can be 
considered fixed in 23.0.60, and if the new frames problem is considered 
a bug, then a new non w32 specific bug needs to be opened for it.

The bug described does still exist in 22.2 though.